<app-sign-layout>
    <form [formGroup]="formGroup" (submit)="onSignup()"
        class="flex flex-col items-center w-full p-4 bg-white border rounded-b-xl">
        <div class="text-5xl pixel-font">Signup</div>
        <label class="w-full form-control">
            <div class="label">
                <span class="label-text">닉네임</span>
            </div>
            <input type="text" placeholder="닉네임을 입력해 주세요." class="w-full input input-bordered"
                formControlName="nickname" />
            <!-- <div class="label">
                    <span class="label-text-alt">Bottom Left label</span>
                </div> -->
        </label>
        <label class="w-full form-control">
            <div class="label">
                <span class="label-text">성별</span>
            </div>
            <select class="w-full select select-bordered" formControlName="gender">
                <option value="">선택</option>
                <option value="F">여성</option>
                <option value="M">남성</option>
            </select>
        </label>
        <label class="w-full form-control">
            <div class="label">
                <span class="label-text">생년월일</span>
            </div>
            <input type="date" placeholder="생년월일을 입력해주세요." class="w-full input input-bordered"
                formControlName="birthday" />
            <!-- <div class="label">
                    <span class="label-text-alt">Bottom Left label</span>
                </div> -->
        </label>

        <br />
        <div class="flex flex-col label">
            <span class="label-text">아바타 클릭하여 선택해주세요.</span>
            <span class="text-gray-500 label-text">(개발자의 맨탈을 위하여 캐릭터는 조류로 통일되었습니다)</span>
        </div>
        <div class="grid grid-cols-3 gap-4">
            @for (bird of birds; track bird.id) {
            <div (click)="onSelectBirdProps(bird)" class="p-1 border cursor-pointer rounded-xl" [ngClass]="{'border-blue-500 border-2': bird.id === selectBird?.id}">
                <img [src]="bird.url" />
            </div>
            }
        </div>
        <br />

        @if (selectBird) {
        <div class="text-2xl">{{selectBird.name}}</div>
        <div class="mt-2 text-base">{{selectBird.comment}}</div>
        }

        <br />
        <button class="w-full btn btn-primary">회원가입</button>
    </form>
</app-sign-layout>